# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "hammer_cli_foreman_discovery"
  s.version = "0.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Ohad Levy", "Ori Rabin"]
  s.date = "2015-02-10"
  s.description = "Contains the code for managing host discovery in foreman(results and progress) in the Hammer CLI.\n"
  s.email = ["ohadlevy@gmail.com"]
  s.extra_rdoc_files = ["README.md"]
  s.files = ["README.md", "lib/hammer_cli_foreman_discovery.rb", "lib/hammer_cli_foreman_discovery/discovery.rb", "lib/hammer_cli_foreman_discovery/i18n.rb", "lib/hammer_cli_foreman_discovery/version.rb", "locale/Makefile", "locale/README.md", "locale/de/LC_MESSAGES/hammer_cli_foreman_discovery.mo", "locale/de/hammer_cli_foreman_discovery.po", "locale/en/LC_MESSAGES/hammer_cli_foreman_discovery.mo", "locale/en/hammer_cli_foreman_discovery.po", "locale/en_GB/LC_MESSAGES/hammer_cli_foreman_discovery.mo", "locale/en_GB/hammer_cli_foreman_discovery.po", "locale/es/LC_MESSAGES/hammer_cli_foreman_discovery.mo", "locale/es/hammer_cli_foreman_discovery.po", "locale/fr/LC_MESSAGES/hammer_cli_foreman_discovery.mo", "locale/fr/hammer_cli_foreman_discovery.po", "locale/hammer_cli_foreman_discovery.pot", "locale/it/LC_MESSAGES/hammer_cli_foreman_discovery.mo", "locale/it/hammer_cli_foreman_discovery.po", "locale/ja/LC_MESSAGES/hammer_cli_foreman_discovery.mo", "locale/ja/hammer_cli_foreman_discovery.po", "locale/ko/LC_MESSAGES/hammer_cli_foreman_discovery.mo", "locale/ko/hammer_cli_foreman_discovery.po", "locale/pt_BR/LC_MESSAGES/hammer_cli_foreman_discovery.mo", "locale/pt_BR/hammer_cli_foreman_discovery.po", "locale/ru/LC_MESSAGES/hammer_cli_foreman_discovery.mo", "locale/ru/hammer_cli_foreman_discovery.po", "locale/zh_CN/LC_MESSAGES/hammer_cli_foreman_discovery.mo", "locale/zh_CN/hammer_cli_foreman_discovery.po", "locale/zh_TW/LC_MESSAGES/hammer_cli_foreman_discovery.mo", "locale/zh_TW/hammer_cli_foreman_discovery.po"]
  s.homepage = "https://github.com/theforeman/hammer-cli-foreman-discovery"
  s.licenses = ["GPL-3"]
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "Foreman CLI plugin for managing discovery hosts in foreman"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<hammer_cli_foreman>, [">= 0.1.2"])
      s.add_development_dependency(%q<rake>, [">= 0"])
    else
      s.add_dependency(%q<hammer_cli_foreman>, [">= 0.1.2"])
      s.add_dependency(%q<rake>, [">= 0"])
    end
  else
    s.add_dependency(%q<hammer_cli_foreman>, [">= 0.1.2"])
    s.add_dependency(%q<rake>, [">= 0"])
  end
end
